Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1596262 - The installer is not working when root user is restricted to write ansible user's home directory.
Summary: The installer is not working when root user is restricted to write ansible us...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 3.7.z
Assignee: Patrick Dillon
QA Contact: Weihua Meng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-28 13:38 UTC by Abhishek
Modified: 2018-12-10 10:57 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Root squashing, the root user cannot write to a user's home directory on the NFS. Consequence: When rootsquashing is enabled, the installer will fail when trying to copy kubeconfig files to a user's home directory. Fix: These tasks are not necessary necessary for a successful installation, so we can continue the installation after failure. Result: The installation can continue successfully if permission is denied on copying files and installation will complete.
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Abhishek 2018-06-28 13:38:49 UTC
Description of problem:

While running the advance installation playbook with the non_root user, still playbook trying to write non_root user's home directory as root.

Version-Release number of selected component (if applicable):
3.7.52

How reproducible:

Restrict root user to write ansible non_root user's home directory.

Steps to Reproduce:
1.
2.
3.

Actual results:

TASK [openshift_master_certificates : Create the client config dir(s)] *****************************************************************************************************************************************
failed: [hostname] (item=<non_root_user>) => {"changed": false, "item": "<non_root_user>", "msg": "There was an issue creating /home/<non_root_user>/.kube as requested: [Errno 13] Permission denied: '/home/<non_root_user>/.kube'", "path": "/home/<non_root_user>/.kube", "state": "absent"}

Expected results:
Installation successful.

Additional info:


Description of problem:

Version-Release number of the following components:
rpm -q openshift-ansible
rpm -q ansible
ansible --version

How reproducible:

Steps to Reproduce:
1.
2.
3.

Actual results:
Please include the entire output from the last TASK line through the end of output if an error is generated

Expected results:

Additional info:
Please attach logs from ansible-playbook with the -vvv flag

Comment 4 Patrick Dillon 2018-11-09 18:56:13 UTC
These three tasks are not necessary for a successful installation. I have created a pr to allow installation to continue if these tasks fails: 

https://github.com/openshift/openshift-ansible/pull/10655

If copying fails during the playbook, users can manually copy the kubeconfig after the installation, if they wish.

Comment 5 Patrick Dillon 2018-12-04 21:14:01 UTC
In openshift-ansible-3.7.73

Comment 6 Weihua Meng 2018-12-10 10:57:42 UTC
Fixed.

openshift-ansible-3.7.76-1.git.0.1c49d6d.el7.noarch

set up cluster success with no root write/read permission to /home/<user>


Note You need to log in before you can comment on or make changes to this bug.